Browser requirements

Browser requirements

This site is best viewed using Microsoft Internet Explorer® 5.5 or 6.0, Netscape 6.2 or 7.0, or Mozilla 1.0. This site will work on 4+ versions of both Netscape Navigator® and Microsoft Internet Explorer® on Windows (except Netscape Navigator 4.08), and Netscape Navigator 4+ and Microsoft Internet Explorer 5+ on Mac.

Netscape

Click here to get the latest Netscape browser.

Internet Explorer

Click here to get the latest Microsoft Internet Explorer browser.

What About 128-Bit Security?

It is not mandatory but it does maximise your security. When going to the above link for Microsoft, click the Other Options button and then select 128-bit security. At the Netscape site you will see 128-bit options on the line below 56-bit.